MMM-GoogleAssistant, segmentation fault!



  • Hello friends, i m installing GA module as given in its readme file at MMM-GoogleAssistant

    i am installing this GA Module and i am stuck at “Run the Sample Code” … i followed the readme file and when i enter the command “googlesamples-assistant-hotword --project-id my-dev-project --device-model-id my-model” in the terminal, it says “Segmentation fault”
    i tried different id’s and stuff, searched but i got no luck… more over its bit confusing with model id, device model id, project id, etc … i have Magic Mirror running fine with default modules… Please help me out with this! Thanks.

    see the error,  segmentation fault



  • still no success, do i need to install MMM-Hotword…?? i havent came across anything in its readme like that… just asking…



  • use MMM-AssistantMk2. It is a newer version, maybe this is not supported.

    From the Github page: “(Deprecated) This project is not supported any more from original owner. Use alternative MMM-AssistantMk2”



  • @radokristof said in MMM-GoogleAssistant, segmentation fault!:

    use MMM-AssistantMk2. It is a newer version, maybe this is not supported.

    From the Github page: “(Deprecated) This project is not supported any more from original owner. Use alternative MMM-AssistantMk2”

    Thanks, will try this mk2 module…


  • Module Developer

    @roxx
    MMM-GoogleAssistant is not mine. 😃 it is nothing related with MMM-Hotword or MMM-AssistantMk2 (or even deprecated MMM-Assistant)
    Anyway if you have a problem on installation or usage, leave an issue on github. I’ll support.



  • @sean said in MMM-GoogleAssistant, segmentation fault!:

    @roxx
    MMM-GoogleAssistant is not mine. 😃 it is nothing related with MMM-Hotword or MMM-AssistantMk2 (or even deprecated MMM-Assistant)
    Anyway if you have a problem on installation or usage, leave an issue on github. I’ll support.

    yep, i have submitted an issue, issue #56. thanks.